> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get product enrolled students 

> Get a paginated list of students enrolled in a digital product

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-product-enrolled-students
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-product-enrolled-students:
    post:
      tags:
        - Product
      summary: 'Get product enrolled students '
      description: >-
        Get a paginated list of students enrolled in a digital product


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          fermionDigitalProductId:
                            type: string
                            description: >-
                              Digital product ID of the product you want to get
                              enrolled students for. Digital product IDs are
                              visible inside your fermion dashboard.
                          pageNumber:
                            type: integer
                            minimum: 1
                            description: Page number for pagination (starts at 1)
                          limit:
                            type: integer
                            minimum: 5
                            maximum: 100
                            description: Number of results per page (min 5, max 100)
                        required:
                          - fermionDigitalProductId
                          - pageNumber
                          - limit
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                productStatus:
                                  type: string
                                  enum:
                                    - Active
                                    - Draft
                                    - Unlisted
                                    - Deleted
                                    - Archived
                                totalEnrollments:
                                  type: number
                                enrollments:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      fermionUserId:
                                        type: string
                                      enrollmentUniqueId:
                                        type: string
                                      createdAt:
                                        type: string
                                        format: date-time
                                      userName:
                                        type: string
                                      enrollmentStatus:
                                        type: string
                                        enum:
                                          - Enrolled
                                          - Unenrolled
                                      userProfilePicture:
                                        type: string
                                        format: uri
                                      email:
                                        anyOf:
                                          - type: string
                                            format: email
                                          - nullable: true
                                          - nullable: true
                                      accountStatus:
                                        type: string
                                        enum:
                                          - Active
                                          - Suspended
                                          - Deleted
                                    required:
                                      - fermionUserId
                                      - enrollmentUniqueId
                                      - createdAt
                                      - userName
                                      - enrollmentStatus
                                      - userProfilePicture
                                      - email
                                      - accountStatus
                              required:
                                - productStatus
                                - totalEnrollments
                                - enrollments
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````